Bug 254561 - www/nift: update to 2.4.10
Summary: www/nift: update to 2.4.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Neel Chauhan
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-03-25 22:16 UTC by Mohammad S. Babaei
Modified: 2021-04-08 04:42 UTC (History)
1 user (show)

See Also:


Attachments
www/nift-2.4.3 to 2.4.4 patch file (874 bytes, patch)
2021-03-25 22:16 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff
www/nift-2.4.3 to 2.4.7 patch file (874 bytes, patch)
2021-03-30 01:06 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff
www/nift-2.4.3 to 2.4.9 patch file (874 bytes, patch)
2021-04-02 08:06 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff
www/nift-2.4.3 to 2.4.10 patch file (877 bytes, patch)
2021-04-05 15:56 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammad S. Babaei 2021-03-25 22:16:26 UTC
Created attachment 223585 [details]
www/nift-2.4.3 to 2.4.4 patch file

Release Notes:

* Built-in improvements of unnecessarily repetitious code for lolcat-cc
* Fixed $() syntax to hopefully not conflict with common bash code
* Added lolcat.cmd and lolcat.status functions
* Added alternative inj option for sys/system calls for terminal/cmd line brevity
Comment 1 Automation User 2021-03-25 22:47:00 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/276747460
Comment 2 Mohammad S. Babaei 2021-03-30 01:06:33 UTC
Created attachment 223699 [details]
www/nift-2.4.3 to 2.4.7 patch file

2.4.7 Release Notes:

Reverted to handling @fns with f++, too ingrained in the codebase
Reverted to calling sys call on whole line for zero param functions
Reverted to breaking at non-escaped @'s when reading function names
Fixed up allowing for ';' at end of statements (hopefully no bugs/undesirable
features), though any potential system call will be called on whole line for
possibly multiple statements, use a new line if needed
cleaned up (hopefully) language choice with interactive REPL's (both interp and sh) and run
Ubuntu.zip

2.4.6 Release Notes:

Initialised all bLineNo's to zero (started getting warnings on OSX)
Fixed up "run commands" in-built scripts from last version to handle language names as well as chars for script extensions
Added skip_whitespace fn to clean Parser.cpp codebase up a little bit
Can now optionally use fn in place of function, mostly intended for interpreter/shell sessions
Assets (can install through Homebrew on OSX, Chocolatey on Windows, Snapcraft/Flatpak on Linux and pkg on FreeBSD):
Chocolatey.zip: (Release files for Chocolatey, see Windows.zip for Windows release)
OSX: use Homebrew (brew install nift) or install from source (make; sudo make install)
Ubuntu.zip: nift nsm (give executable permissions and place nift and nsm in /usr/local/bin)
Netlify.zip: nift nsm (for use on Netlify's servers)
Surge.zip: nift nsm (for use on surge.sh's servers)
Vercel.zip: nift nsm (for use on Vercel's servers)
Windows.zip: lua51.dll nift.exe nsm.exe (place in C:\Windows\system32)

2.4.5 Release Notes:

You can now do nift sh/interp lang and provided lang starts with the same char as the language you are specifying the prompt will match
Added prompt.char(string) command
Added in global $[cmd]rc.$[langChar] "run command" support on start of an interpreter or shell session
Added in local .nsm/[interp/sh].$[langChar] "run command" support on start of an interpreter or shell session
Added in treating a single parameter for f++/n++/lua/exprtk function calls as a file-path to a file
Added in exprtk.file function to read and process ExprTk code at the file-path specified parameter
Added in f/file option for exprtk and exprtk.compile functions*

2.4.4 Release Notes:

Built-in improvements of unnecessarily repetitious code for lolcat-cc
Fixed $() syntax to hopefully not conflict with common bash code
Added lolcat.cmd and lolcat.status functions
Added alternative inj option for sys/system calls for terminal/cmd line brevity
Comment 3 Mohammad S. Babaei 2021-04-02 08:06:18 UTC
Created attachment 223764 [details]
www/nift-2.4.3 to 2.4.9 patch file

2.3.9 Release Notes:

added in ability to run scripts with nift script-path as well as nift run script-path, makes shebangs nicer for example
further improved language detection
improved lolcat piping of system calls across multiple statements and made more consistent across f++/n++/Lua(JIT)/ExprTK
hopefully fixed bugs with n++ and zero param non-fns output (in particular $ instances)
added script path as first parameter for argv

2.3.8

Release Notes:

added in default of trying system call if failure with lua(jit) or exprtk in interactive (interp/sh) mode,
they work better as shell extensions this way
cleaned up language choice so ExprTk and templatestein and all reasonable derivatives work okay
fixed up nsm_lang fns for Lua(JIT) and ExprTk to work with both string and char version of language selection
updated sys/system fn output to use the called fn name rather than defaulting to system
added in passing parameters to the nift run command with variables 'argc' (int) and 'argv' (vector<string>)
Comment 4 Mohammad S. Babaei 2021-04-05 15:56:54 UTC
Created attachment 223835 [details]
www/nift-2.4.3 to 2.4.10 patch file

fixed up lolcat to handle finding the end of things with 'm' to avoid so much white
fixed up bug with reading {} in unbracketed code blocks
added trying to compile and evaluate unrecognised lines using ExprTk with functionstein (f++)
added option (default value can be changed with exprtk.eval_params fn) to compile and evaluate params with ExprTk
Comment 5 Neel Chauhan freebsd_committer 2021-04-08 04:41:28 UTC
Committed!
Comment 6 commit-hook freebsd_committer 2021-04-08 04:42:20 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f275fd6736507996cb95831d8dc8ccc5f2496ed0

commit f275fd6736507996cb95831d8dc8ccc5f2496ed0
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-04-08 04:40:39 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-04-08 04:40:39 +0000

    www/nift: update to 2.4.10

    PR:             254561
    Submitted by:   Mohammad S. Babaei <info AT babaei DOT net> (maintainer)

 www/nift/Makefile | 2 +-
 www/nift/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)